From 6ae067af1f695e615415cde69a506ad330dbc45b Mon Sep 17 00:00:00 2001
From: Mike Brady <mikebrady@eircom.net>
Date: Mon, 21 Sep 2015 12:28:55 +0100
Subject: [PATCH] Fix compilation bug -- did not replace meta_dir with
 metadata_enabled in a few places

---
 mdns_dns_sd.c      | 2 +-
 mdns_tinysvcmdns.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/mdns_dns_sd.c b/mdns_dns_sd.c
index 922c2fb..99b6b0b 100644
--- a/mdns_dns_sd.c
+++ b/mdns_dns_sd.c
@@ -38,7 +38,7 @@ static int mdns_dns_sd_register(char *apname, int port) {
 #endif
   char **record;
 #ifdef CONFIG_METADATA
-  if (config.meta_dir)
+  if (config.metadata_enabled)
     record = recordwithmetadata;
   else
 #endif
diff --git a/mdns_tinysvcmdns.c b/mdns_tinysvcmdns.c
index a3c475a..9452c1f 100644
--- a/mdns_tinysvcmdns.c
+++ b/mdns_tinysvcmdns.c
@@ -118,7 +118,7 @@ static int mdns_tinysvcmdns_register(char *apname, int port) {
   char **txt;
 
 #ifdef CONFIG_METADATA
-  if (config.meta_dir)
+  if (config.metadata_enabled)
     txt = txtwithmetadata;
   else
 #endif
